Bug 523214 - eclipse-3.5.0-0.3.9 failed to build during RHEL-6 mass rebuild
Summary: eclipse-3.5.0-0.3.9 failed to build during RHEL-6 mass rebuild
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: eclipse
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: beta
: ---
Assignee: Alexander Kurtakov
QA Contact: eclipse-bugs
URL:
Whiteboard:
Depends On:
Blocks: 522407
TreeView+ depends on / blocked
 
Reported: 2009-09-14 13:47 UTC by Karsten Hopp
Modified: 2009-12-21 09:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-21 09:41:37 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2009-09-14 13:47:12 UTC
Description of problem:
eclipse has a circular build dependency on icu4j: icu4j buildrequires eclipse(-pde), eclipse requires icu4j-eclipse


Steps to Reproduce:
1.run a brew scratch build with the target RHEL-6-rebuild, don't try without --scratch as that won't work
2. build will fail on s390x as neither eclipse nor icu4j could be built yet because of that problem.
  
Actual results:
https://brewweb.devel.redhat.com/taskinfo?taskID=1949339

Additional info:
We need the exact n-v-r of the fixed package so that we can import it into our RHEL-6 tree.

Comment 1 RHEL Product and Program Management 2009-09-14 13:57:13 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Andrew Overholt 2009-09-14 14:28:39 UTC
Alex and I talked about this and we can add some sort of bootstrapping macros.  We're knee-deep in F-12 work at the moment, though, and will be until at least the 29th.  Is this super-urgent?

Comment 3 Karsten Hopp 2009-09-14 15:14:52 UTC
I think this can wait until then, but should be fixed soon after that so that these packages can be tested during RHEL-6 beta

Comment 5 Alexander Kurtakov 2009-10-15 11:32:30 UTC
Can you try with eclipse-3.5.1-8.fc13 and setting the bootstrap flag to 1?

Comment 6 Alexander Kurtakov 2009-12-03 19:08:59 UTC
Can we close this now?

Comment 7 Alexander Kurtakov 2009-12-21 09:41:37 UTC
Closing.
See https://brewweb.devel.redhat.com/buildinfo?buildID=121488 for a successful  build.


Note You need to log in before you can comment on or make changes to this bug.